LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
XFormComponent Interface Referencepublished

describes a component which may be part of a form. More...

`import"XFormComponent.idl";`

Inheritance diagram for XFormComponent:

## Additional Inherited Members
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describes a component which may be part of a form.

This interface does not really provide an own functionality, it is only for easier runtime identification of form components.

See also
  XForm

The documentation for this interface was generated from the following file:

- com/sun/star/form/XFormComponent.idl